Name: libref_array
Version: 0.1.1
Release: 0%{?dist}
Summary: A refcounted array for C
Group: Development/Libraries
License: LGPLv3+
URL: http://fedorahosted.org/sssd/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

### Patches ###

### Dependencies ###

### Build Dependencies ###

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: m4
BuildRequires: doxygen

%description
A dynamically-growing, reference-counted array

%package devel
Summary: Development files for libref_array
Group: Development/Libraries
Requires: libref_array = %{version}-%{release}
License: LGPLv3+

%description devel
A dynamically-growing, reference-counted array

%prep
%setup -q

%build
%configure \
    --disable-static \
    --disable-rpath

make %{?_smp_mflags} all docs

%check
make %{?_smp_mflags} check

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Remove .la files created by libtool
rm -f $RPM_BUILD_ROOT/%{_libdir}/libref_array.la

# Remove document install script. RPM is handling this
rm -f doc/html/installdox

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%doc COPYING.LESSER
%{_libdir}/libref_array.so.1
%{_libdir}/libref_array.so.1.0.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/ref_array.h
%{_libdir}/libref_array.so
%{_libdir}/pkgconfig/ref_array.pc
%doc README
%doc doc/html/


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Wed Aug 11 2010 Stephen Gallagher <sgallagh@redhat.com> - 0.1.1-0
- Automated build of libref_array
